Package com.google.javascript.jscomp.graph

# Interface Annotatable

All Known Subinterfaces:
  `DiGraph.DiGraphEdge<N,E>`, `DiGraph.DiGraphNode<N,E>`, `Graph.GraphEdge<N,E>`, `GraphNode<N,E>`, `UndiGraph.UndiGraphEdge<N,E>`, `UndiGraph.UndiGraphNode<N,E>`

public interface Annotatable
Object that has an annotation.

## Method Summary

Modifier and Type
Method
Description
`<A extends Annotation>
A`
`getAnnotation()`
Retrieves a piece of information that has been annotated.
`void`
`setAnnotation(Annotation data)`
Annotates a piece of information to the object.

## Method Details

### setAnnotation

void setAnnotation(Annotation data)
Annotates a piece of information to the object.

Parameters:
  `data` - Information to be annotated.

### getAnnotation

<A extends Annotation> A getAnnotation()
Retrieves a piece of information that has been annotated.

Returns:
  The annotation or `null` if the object has not been annotated.